Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class SQLDescriptor

    java.lang.Object
      com.sun.mdm.index.query.SQLDescriptor

All Implemented Interfaces:
  java.io.Serializable

class SQLDescriptor
extends java.lang.Object
implements java.io.Serializable

This class contains data that is used to issue a SQL query and to assemble composite object tree. So a QueryParser after parsing the QueryObject, converts it into SQLDescriptors (array of SQLDescriptors, if it requires multiple SQL queries) and pass SQLDescritor back to QueryManager. So the data contained in this class is: SQL statements. key indices of all the objects in the SQL statement. Attribute indices of the objects that will be selected from this query. Parent key indices of an object.

Constructor Summary
`(package private)` | `SQLDescriptor()` Creates a new instance of SQLDescriptor

Method Summary
`(package private) void` | `addObjectKeyData(java.lang.String objectName, java.lang.Integer[] mkeyIndices)`
`(package private) void` | `addObjectSelectData(java.lang.String objectName, int attrIndexLow, int attrIndexHigh, java.lang.Integer[] mkeyIndices, java.util.ArrayList fields, java.util.ArrayList extraKeyColumns)`
`(package private) boolean` | `contains(java.lang.String object)`
`(package private) void` | `copyParentKeyToSelectData()`
`(package private) void` | `copyTo(CreateObjectMeta cObjMeta)`
`(package private) java.lang.String[]` | `getAttributes(java.lang.String objectName)`
`(package private) java.lang.Integer[]` | `getKeyIndices(java.lang.String object)`
`(package private) java.lang.String` | `getRoot()`
`(package private) java.lang.String` | `getSQL()` Getter for SQL statement of the SQLDescriptor object
`(package private) void` | `setParentKeyData(java.lang.String objectName, java.lang.Integer[] keyIndices)`
`(package private) void` | `setRoot(java.lang.String root)`
`(package private) void` | `setSQL(java.lang.String sql)`
`java.lang.String` | `toString()` String form of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLDescriptor

    SQLDescriptor()

  Creates a new instance of SQLDescriptor

Method Detail

### addObjectKeyData

    void addObjectKeyData(java.lang.String objectName,
                          java.lang.Integer[] mkeyIndices)

### addObjectSelectData

    void addObjectSelectData(java.lang.String objectName,
                             int attrIndexLow,
                             int attrIndexHigh,
                             java.lang.Integer[] mkeyIndices,
                             java.util.ArrayList fields,
                             java.util.ArrayList extraKeyColumns)

### contains

    boolean contains(java.lang.String object)

### copyParentKeyToSelectData

    void copyParentKeyToSelectData()

### copyTo

    void copyTo(CreateObjectMeta cObjMeta)

### getAttributes

    java.lang.String[] getAttributes(java.lang.String objectName)

### getKeyIndices

    java.lang.Integer[] getKeyIndices(java.lang.String object)

### getRoot

    java.lang.String getRoot()

### getSQL

    java.lang.String getSQL()

  Getter for SQL statement of the SQLDescriptor object

  Returns:
    SQL string. This could be either a prepared SQL string or a executable SQL string.

### setParentKeyData

    void setParentKeyData(java.lang.String objectName,
                          java.lang.Integer[] keyIndices)

### setRoot

    void setRoot(java.lang.String root)

### setSQL

    void setSQL(java.lang.String sql)

### toString

    public java.lang.String toString()

  String form of the object

  Returns:
    String

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.